Skip to main content
PATCH
/
v1
/
groups
/
{id}
Update Group
curl --request PATCH \
  --url https://api.us.lexful.app/v1/groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "organization_scopes": [
    "<string>"
  ],
  "denied_organization_scopes": [
    "<string>"
  ],
  "denied_entity_types": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organization_scopes": [
    "<string>"
  ],
  "denied_organization_scopes": [
    "<string>"
  ],
  "denied_entity_types": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

Group ID

Body

application/json
name
string

Group name

Required string length: 1 - 255
description
string | null

Group description

Maximum string length: 1000
organization_scopes
string[]

Organization IDs user can access, can include "*" for wildcard

denied_organization_scopes
string[]

Organization IDs user cannot access

denied_entity_types
string<uuid>[]

Entity type IDs that users in this group cannot access

Response

Default Response

id
string<uuid>
required

Group unique identifier

name
string
required

Group name

organization_scopes
string[]
required

Organization IDs user can access, can include "*" for wildcard

denied_organization_scopes
string[]
required

Organization IDs user cannot access

denied_entity_types
string[]
required

Entity type IDs that users in this group cannot access

created_at
string<date-time>
required

Group creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string | null

Group description

created_by
string<uuid>

User ID who created this group

updated_by
string<uuid>

User ID who last updated this group